<?xml version="1.0" encoding="utf-8"?>
<odoo>

    <!-- Root Menu -->
    <menuitem id="menu_fusion_api_root"
              name="Fusion API"
              web_icon="fusion_api,static/description/icon.png"
              sequence="90"/>

    <!-- Dashboard -->
    <menuitem id="menu_dashboard"
              name="Dashboard"
              parent="menu_fusion_api_root"
              action="action_dashboard"
              sequence="1"/>

    <!-- Providers -->
    <menuitem id="menu_providers"
              name="Providers"
              parent="menu_fusion_api_root"
              action="action_api_provider"
              sequence="10"/>

    <!-- Consumers -->
    <menuitem id="menu_consumers"
              name="Consumers"
              parent="menu_fusion_api_root"
              action="action_api_consumer"
              sequence="20"/>

    <!-- Access Rules -->
    <menuitem id="menu_access_rules"
              name="Access Rules"
              parent="menu_fusion_api_root"
              action="action_api_access"
              sequence="30"
              groups="fusion_api.group_manager"/>

    <!-- Usage Menu -->
    <menuitem id="menu_usage"
              name="Usage"
              parent="menu_fusion_api_root"
              sequence="40"/>

    <menuitem id="menu_usage_log"
              name="Usage Log"
              parent="menu_usage"
              action="action_api_usage"
              sequence="1"/>

    <menuitem id="menu_usage_daily"
              name="Daily Summary"
              parent="menu_usage"
              action="action_api_usage_daily"
              sequence="2"/>

    <!-- Configuration Menu -->
    <menuitem id="menu_configuration"
              name="Configuration"
              parent="menu_fusion_api_root"
              sequence="90"
              groups="fusion_api.group_manager"/>

    <menuitem id="menu_user_limits"
              name="User Limits"
              parent="menu_configuration"
              action="action_api_user_limit"
              sequence="1"/>


</odoo>
